Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987879 - New version: Passenger 4
Summary: New version: Passenger 4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-passenger
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brett Lentz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 848939
TreeView+ depends on / blocked
 
Reported: 2013-07-24 11:02 UTC by Dominic Cleal
Modified: 2013-10-09 14:19 UTC (History)
7 users (show)

Fixed In Version: rubygem-passenger-4.0.18-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-09 14:19:47 UTC


Attachments (Terms of Use)

Description Dominic Cleal 2013-07-24 11:02:21 UTC
Description of problem:
Passenger 4 has been released, and they're currently at version 4.0.10.

A summary of major features is available here:
http://blog.phusion.nl/2012/10/24/phusion-passenger-4-0-beta-1-is-here/

Of particular interest to me is the multiple Ruby version support, since the "PassengerRuby" config directive is now effective inside virtual hosts, directory and location stanzas.  We're looking to use this to fix bug #848939 too (SELinux + passenger + puppet).

Martin Bacovsky has packaged 4.0.5 for the Foreman project, it's available in our Koji here (I'm working on a 4.0.10 refresh too):
http://koji.katello.org/koji/packageinfo?packageID=512
http://koji.katello.org/packages/rubygem-passenger/4.0.5/4.fc19/src/rubygem-passenger-4.0.5-4.fc19.src.rpm

Comment 1 Fedora End Of Life 2013-09-16 14:45:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Jan Kaluža 2013-09-23 14:19:01 UTC
Is there some technical reason why we are not using Passenger 4 in rawhide, or is it just lack of free time?

Comment 3 Troy Dawson 2013-09-23 15:21:43 UTC
It is/was lack of free time.
It has moved up and is now next on my list of things to do, so I plan on starting it towards the end of the day today, or tomorrow.
I plan on doing the latest version, with is currently 4.0.18.

Comment 4 Fedora Update System 2013-09-25 16:33:05 UTC
rubygem-passenger-4.0.18-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-passenger-4.0.18-2.fc20

Comment 5 Jan Kaluža 2013-09-26 05:41:36 UTC
Thank you very much.

Comment 6 Fedora Update System 2013-09-27 00:54:13 UTC
Package rubygem-passenger-4.0.18-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-passenger-4.0.18-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17781/rubygem-passenger-4.0.18-2.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-10-09 14:19:47 UTC
rubygem-passenger-4.0.18-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.